BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


Summary:        Tag Library Documentation Generator
Name:           tlddoc
Version:        1.2
Release:        alt1_2jpp1.7
Epoch:          0
License:        BSD
URL:            https://taglibrarydoc.dev.java.net/
Group:          Development/Java
Source0:        tlddoc-1.2-src.tar.gz
#cvs -d :pserver:[user]@cvs.dev.java.net:/cvs login
#cvs -d :pserver:[user]@cvs.dev.java.net:/cvs export -r TLDDOC-1_2 taglibrarydoc

Patch0:         tlddoc-1.2-build_xml.patch
BuildRequires: ant >= 0:1.6 ant-junit >= 0:1.6 jpackage-utils >= 0:1.5
BuildRequires: javacc
BuildArch:      noarch

%description
Tag Library Documentation Generator is a utility for automatically 
generating javadoc-style documentation for JavaServer PagesTM  
(JSP TM) Technology Tag Libraries. It accepts a set of tag libraries 
as input, and generates a set of HTML files as output. It can also be 
used to generate tag library documenation for JavaServer Faces UI
components.
Included in the output is a full description of each defined tag 
library, the tags contained within those tag libraries, and how to 
use those tags. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation
Requires: xpp2 = 0:2.1.10

%description demo
%{summary}.

%prep
%setup -q -n %{name}-%{version}-src
# don't remove all binary libs - test files
#for j in $(find . -name "*.jar"); do
#	mv $j $j.no
#done

%patch0 -b .sav

%build
export OPT_JAR_LIST="ant/ant-nodeps javacc"

cd taglibrarydoc
ant -DJAVACC_HOME=%{_javadir} test

%install

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}

cp -p taglibrarydoc/dist/taglibrarydoc-1_2/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr taglibrarydoc/build/javadoc/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr taglibrarydoc/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p taglibrarydoc/license.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%doc %{_docdir}/%{name}-%{version}/license.txt
%{_javadir}/*.jar

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%doc %{_docdir}/%{name}-%{version}

%changelog
* Mon Jun 04 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.2-alt1_2jpp1.7
- converted from JPackage by jppimport script

